Subject: bug#62825: 29.0.90; c-ts-mode doesn't recognize DEFUN functions

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Apr 2023 11:14:25 +0300

> From: Yuan Fu <[email-masked]>
> Date: Sat, 15 Apr 2023 22:37:02 -0700
> Cc: [email-masked],
>  [email-masked]
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks.  But I wonder why do we need the c-ts-mode-emacs-devel knob.
> > Why not recognize DEFUN by default everywhere?  CC Mode does that,
> > AFAIK, so why shouldn't c-ts-mode do the same?
> 
> I just thought the fix is a bit hacky, and does add some overhead, so
> people who don’t need it might not be happy to know that they can’t turn
> it off.

OK, but I made it into a defcustom and turned this on by default.  I
also renamed a few symbols, please take a look.

Btw, should the code you added to c-ts-mode--defun-name recognize
DEFUN nodes only when this variable is non-nil?